Loading...
Searching...
No Matches
Types.hpp File Reference
`#include <SoapySDR/Config.hpp>`
`#include <SoapySDR/Types.h>`
`#include <type_traits>`
`#include <vector>`
`#include <stdexcept>`
`#include <string>`
`#include <map>`

Go to the source code of this file.

## Classes

class | SoapySDR::Range
class | SoapySDR::ArgInfo

## Namespaces

namespace | SoapySDR
namespace | SoapySDR::Detail

## Typedefs

typedef std::map< std::string, std::string > | SoapySDR::Kwargs
| Typedef for a dictionary of key-value string arguments.
typedef std::vector< Kwargs > | SoapySDR::KwargsList
| Typedef for a list of key-word dictionaries.
typedef std::vector< Range > | SoapySDR::RangeList
typedef std::vector< ArgInfo > | SoapySDR::ArgInfoList

## Functions

SOAPY_SDR_API Kwargs | SoapySDR::KwargsFromString (const std::string &markup)
SOAPY_SDR_API std::string | SoapySDR::KwargsToString (const Kwargs &args)
template<typename Type>
Type | SoapySDR::StringToSetting (const std::string &s)
template<typename Type>
std::string | SoapySDR::SettingToString (const Type &s)
template<typename Type>
std::enable_if< std::is_same< Type, bool >::value, Type >::type | SoapySDR::Detail::StringToSetting (const std::string &s)
template<typename Type>
std::enable_if< notstd::is_same< Type, bool >::valueandstd::is_integral< Type >::valueandstd::is_signed< Type >::value, Type >::type | SoapySDR::Detail::StringToSetting (const std::string &s)
template<typename Type>
std::enable_if< notstd::is_same< Type, bool >::valueandstd::is_integral< Type >::valueandstd::is_unsigned< Type >::value, Type >::type | SoapySDR::Detail::StringToSetting (const std::string &s)
template<typename Type>
std::enable_if< std::is_floating_point< Type >::value, Type >::type | SoapySDR::Detail::StringToSetting (const std::string &s)
template<typename Type>
std::enable_if< std::is_same< typenamestd::decay< Type >::type, std::string >::value, Type >::type | SoapySDR::Detail::StringToSetting (const std::string &s)
std::string | SoapySDR::Detail::SettingToString (const bool &s)
std::string | SoapySDR::Detail::SettingToString (const char *s)
std::string | SoapySDR::Detail::SettingToString (const std::string &s)
template<typename Type>
std::string | SoapySDR::Detail::SettingToString (const Type &s)

## Detailed Description

Misc data type definitions used in the API.

Copyright
  Copyright (c) 2014-2021 Josh Blum SPDX-License-Identifier: BSL-1.0